ArgumentError (A copy of ApplicationController has been removed from the module tree but is still ac

Hi everybody,

I’m running Typo edge locally to track development and after updating my
source tree from fdv on github I noticed a couple of things.

First of all, I had to move/remove the following two files or rake would
complain as well as the rails application when running the application:

public/javascripts/ckcustom.js
public/javascripts/ckeditor/config.js

Do those need to be removed from the repository?

Then I am running in some more problems when running the application. I
get
messages like these whenever a page is rendered.

ArgumentError (A copy of ApplicationController has been removed from the
module tree but is still active!):
app/controllers/application_controller.rb:59:in this_blog' app/controllers/application_controller.rb:44:inload_lang’

Rendered rescues/_trace (29.8ms)
Rendered rescues/_request_and_response (0.3ms)
Rendering rescues/layout (internal_server_error)

NoMethodError (undefined method lang' for #<Blog:0x102e7eb38>): app/controllers/application_controller.rb:44:inload_lang’

Rendered rescues/_trace (109.8ms)
Rendered rescues/_request_and_response (0.3ms)
Rendering rescues/layout (internal_server_error)

The rendering of the page does then result in a faulty rendering most of
the
time with either graphic files, or stylesheets not loaded correctly.

I haven’t had time to investigate yet. This is the environment I’m
running
on:

Snow Leopard

ruby 1.8.7 (2008-08-11 patchlevel 72) [universal-darwin10.0]

*** LOCAL GEMS ***

actionmailer (2.3.4, 2.3.3, 2.3.2, 2.2.2, 1.3.6)
actionpack (2.3.4, 2.3.3, 2.3.2, 2.2.2, 1.13.6)
actionwebservice (1.2.6)
activerecord (2.3.4, 2.3.3, 2.3.2, 2.2.2, 1.15.6)
activeresource (2.3.4, 2.3.3, 2.3.2, 2.2.2)
activesupport (2.3.4, 2.3.3, 2.3.2, 2.2.2, 1.4.4)
acts_as_ferret (0.4.4, 0.4.3)
bluecloth (2.0.5)
calendar_date_select (1.15)
capistrano (2.5.9, 2.5.2)
cgi_multipart_eof_fix (2.5.0)
coderay (0.8.312)
daemons (1.0.10)
datanoise-actionwebservice (2.3.2)
dnssd (1.3, 0.6.0)
fastthread (1.0.7, 1.0.1)
fcgi (0.8.7)
ferret (0.11.6)
flexmock (0.8.6)
gem_plugin (0.2.3)
highline (1.5.1, 1.5.0)
hpricot (0.8.1, 0.6.164)
htmlentities (4.2.0)
json (1.1.9)
libxml-ruby (1.1.3, 1.1.2)
mislav-will_paginate (2.3.11)
mongrel (1.1.5)
mysql (2.8.1)
needle (1.3.0)
net-scp (1.0.2, 1.0.1)
net-sftp (2.0.2, 2.0.1, 1.1.1)
net-ssh (2.0.15, 2.0.4, 1.1.4)
net-ssh-gateway (1.0.1, 1.0.0)
rack (1.0.0)
rails (2.3.4, 2.3.3, 2.3.2, 2.2.2, 1.2.6)
rake (0.8.7, 0.8.3)
RedCloth (4.2.2, 4.1.1)
rspec (1.2.8)
rspec-rails (1.2.7.1)
ruby-openid (2.1.7, 2.1.2)
ruby-yadis (0.3.4)
rubygems-update (1.3.5)
rubynode (0.1.5)
sqlite3-ruby (1.2.5, 1.2.4)
termios (0.9.4)
xmpp4r (0.5, 0.4)

Any ideas?

Thanks,

Tobias

Hi there,
some more information on those two files in public. This happens, when I
just leave them.

$ git status

On branch master

Your branch is ahead of ‘origin/master’ by 73 commits.

nothing to commit (working directory clean)

$ ruby script/server
=> Booting Mongrel
=> Rails 2.3.3 application starting on http://0.0.0.0:3000
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/fileutils.rb:338:in
symlink': File exists - /Users/polarapfel/Documents/workspace/typo/typo/public/javascripts/ckcustom.js or /Users/polarapfel/Documents/workspace/typo/typo/public/javascripts/ckeditor/config.js (Errno::EEXIST) from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/fileutils.rb:338:inln_s’
from
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/fileutils.rb:1411:in
fu_each_src_dest0' from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/fileutils.rb:336:inln_s’
from
/Users/polarapfel/Documents/workspace/typo/typo/vendor/plugins/easy-ckeditor/lib/ckeditor_file_utils.rb:55:in
copy_configuration' from /Users/polarapfel/Documents/workspace/typo/typo/vendor/plugins/easy-ckeditor/lib/ckeditor_file_utils.rb:106:incheck_and_install’
from
/Users/polarapfel/Documents/workspace/typo/typo/vendor/plugins/easy-ckeditor/init.rb:6:in
evaluate_init_rb' from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/rails/plugin.rb:146:inevaluate_init_rb’
from
/Library/Ruby/Gems/1.8/gems/activesupport-2.3.3/lib/active_support/core_ext/kernel/reporting.rb:11:in
silence_warnings' from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/rails/plugin.rb:142:inevaluate_init_rb’
from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/rails/plugin.rb:48:in
load' from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/rails/plugin/loader.rb:38:inload_plugins’
from
/Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/rails/plugin/loader.rb:37:in
each' from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/rails/plugin/loader.rb:37:inload_plugins’
from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/initializer.rb:369:in
load_plugins' from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/initializer.rb:165:inprocess’
from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/initializer.rb:113:in
send' from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/initializer.rb:113:inrun’
from
/Users/polarapfel/Documents/workspace/typo/typo/config/environment.rb:12
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in
gem_original_require' from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:inrequire’
from
/Library/Ruby/Gems/1.8/gems/activesupport-2.3.3/lib/active_support/dependencies.rb:156:in
require' from /Library/Ruby/Gems/1.8/gems/activesupport-2.3.3/lib/active_support/dependencies.rb:521:innew_constants_in’
from
/Library/Ruby/Gems/1.8/gems/activesupport-2.3.3/lib/active_support/dependencies.rb:156:in
require' from /Library/Ruby/Gems/1.8/gems/rails-2.3.3/lib/commands/server.rb:84 from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:ingem_original_require’
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require’
from script/server:3

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs